# Class ErroneousSnippet

java.lang.Object
jdk.jshell.Snippet
jdk.jshell.ErroneousSnippet

public class ErroneousSnippet extends Snippet
A snippet of code that is not valid Java programming language code. The Kind is `ERRONEOUS`.

`ErroneousSnippet` is immutable: an access to any of its methods will always return the same result. and thus is thread-safe.

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in class jdk.jshell.Snippet

`Snippet.Kind, Snippet.Status, Snippet.SubKind`

## Method Summary

Modifier and Type
Method
Description
`Snippet.Kind`
`probableKind()`
Returns what appears to be the intended Kind in this erroneous snippet.

### Methods declared in class jdk.jshell.Snippet

`id, kind, source, subKind`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### probableKind

public Snippet.Kind probableKind()
Returns what appears to be the intended Kind in this erroneous snippet.

Returns:
  the probable Kind; or `Snippet.Kind.ERRONEOUS` if that cannot be determined.